using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
namespace Com.Bocom.OpenApi
{

    /// <summary>
    /// 1.9 取消核销
    /// </summary>
    public class UnWriteOffRequestV1 : BocomRequest<UnWriteOffResponseV1>
    {

        public override Type GetResponseClass()
        {
            return typeof(UnWriteOffResponseV1);
        }

        public override bool IsNeedEncrypt()
        {
            return false;
        }

        public override string GetMethod()
        {
            return "POST";
        }

        public override Type GetBizContentClass()
        {
            return typeof(UnWriteOffRequestV1Biz);
        }

        [DataContract]
        public class UnWriteOffRequestV1Biz : BizContent
        {

            /// <summary>
            /// 机构编号 </summary>
            [DataMember]
            public string org_id { get; set; }

            /// <summary>
            /// 账单编号 </summary>
            [DataMember]
            public string bill_id { get; set; }

        }
    }
}

